Docs
DocumentationQuery ReferenceAPI Reference
Open Console→→
DocumentationQuery ReferenceAPI Reference

Get started

IntroductionSend dataQuery dataPaginationAPI limits

Annotations

List all annotationsGETRetrieve annotationGETCreate annotationPOSTUpdate annotationPUTDelete annotationDELETE

API tokens

List all API tokensGETRetrieve API tokenGETCreate API tokenPOSTRegenerate API tokenPOSTDelete API tokenDELETE

Dashboards

List all dashboardsGETRetrieve dashboardGETCreate dashboardPOSTUpdate dashboardPUTPatch dashboard elementPATCHDelete dashboardDELETE

Datasets

List all datasetsGETRetrieve datasetGETList all fields in datasetGETRetrieve field in datasetGETCreate datasetPOSTIngest dataPOSTRun queryPOSTRun query (legacy)POSTTrim datasetPOSTUpdate datasetPUTUpdate fieldPUTVacuum datasetPOSTDelete datasetDELETE

Edge

Ingest data to edge deploymentIngest Splunk HEC eventsIngest raw Splunk HEC eventsCheck Splunk HEC healthRun APL query to edge deploymentRun batch query to edge deploymentRun MPL query to edge deploymentGet metrics for a datasetGet metric tags for a datasetGet metric tag values for a datasetGet tags for a datasetGet tag values for a dataset

Map fields

List all map fieldsGETCreate map fieldPOSTUpdate list of map fieldsPUTDelete map fieldsDELETE

Monitors

List all monitorsGETRetrieve monitorGETRetrieve monitor historyGETCreate monitorPOSTUpdate monitorPUTDelete monitorDELETE

Notifiers

List all notifiersGETRetrieve notifierGETCreate notifierPOSTUpdate notifierPUTDelete notifierDELETE

Organizations

List all orgsGETRetrieve orgGETCreate orgPOSTUpdate orgPUTProvision orgPOST

Role-based access control

List all rolesGETRetrieve roleGETList all groupsGETRetrieve groupGETCreate rolePOSTCreate groupPOSTUpdate rolePUTUpdate groupPUTDelete roleDELETEDelete groupDELETE

Saved queries

List all saved queriesGETRetrieve saved queryGETCreate saved queryPOSTUpdate saved queryPUTDelete saved queryDELETE

Users

Retrieve current userGETList all usersGETRetrieve userGETCreate userPOSTUpdate current userPUTUpdate user rolePUTDelete user from orgDELETE

Views

List all viewsGETRetrieve viewGETCreate viewPOSTUpdate viewPUTDelete viewDELETE

Virtual fields

List all virtual fieldsGETRetrieve virtual fieldGETCreate virtual fieldPOSTUpdate virtual fieldPUTDelete virtual fieldDELETE
Edge

Run batch query to edge deployment

POST/v1/query/batch
Warning

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deploymentBase domain for ingest and query
US East 1 (AWS)us-east-1.aws.edge.axiom.co
EU Central 1 (AWS)eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

Parameters

PropertyTypeLocationDescription
maxConcurrencyintegerqueryMaximum number of concurrent queries to execute
nocachebooleanqueryWhether to bypass cache for all queries in the batch
apl-sourcestringqueryContains the source of the APL query (for example console, dashboard, etc.)
apl-source-idstringqueryContains the id of the source, for example dashboard_id

Body

application/json
PropertyTypeDescription
aplRequestobject—
└aplstringRequiredAPL query string
└cursorstringPagination cursor
└defaultLimitintegerThe default limit to use when no limit is specified in the query.
└defaultOrderobject[]The default order to use when no order is specified in the query.
└descboolean—
└fieldstring—
└endTimestringEnd time for the query range
└includeCursorbooleanInclude cursor in response
└includeCursorFieldbooleanDefines if the _cursor field should be projected in the result
└librariesstring[]—
└maxBinAutoGroupsintegerMaximum number of groups to automatically bin into
└queryOptionsobject—
└againststring—
└againstStartstring—
└againstTimestampstring—
└aggChartOptsstring—
└caseSensitivestring—
└containsTimeFilterstring—
└datasetsstring—
└displayNullstring—
└editorContentstring—
└endColumnstring—
└endLineNumberstring—
└endTimestring—
└integrationsFilterstring—
└nanosecondPrecisionstring—
└openIntervalsstring—
└overlayChartsstring—
└queryObjectstring—
└quickRangestring—
└resolutionstring—
└resultsHistogramstring—
└selectionstring—
└shownColumnsstring—
└startColumnstring—
└startLineNumberstring—
└startTimestring—
└timeSeriesVariantstring—
└timeSeriesViewstring—
└startTimestringstart and end time for the query, these must be specified as RFC3339 strings or using relative time expressions (e.g. now-1h, now-1d, now-1w, etc)
└variablesobjectVariables is an optional set of additional variables that are inserted into the APL
mplRequestobject—
└endTimestringRequiredEnd time for the query range
└mplstringThe MPL query.
└startTimestringRequiredstart and end time for the query, these must be specified as RFC3339 strings or using relative time expressions (e.g. now-1h, now-1d, now-1w, etc)
queryIdstringRequiredUnique identifier for this query in the batch

Request

curl -X POST 'https://{axiom-domain}/v1/query/batch' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '[{"aplRequest":{"apl":"string","cursor":"string","defaultLimit":0,"defaultOrder":[{"desc":null,"field":null}],"endTime":"string","includeCursor":true,"includeCursorField":true,"libraries":["string"],"maxBinAutoGroups":0,"queryOptions":{"against":"string","againstStart":"string","againstTimestamp":"string","aggChartOpts":"string","caseSensitive":"string","containsTimeFilter":"string","datasets":"string","displayNull":"string","editorContent":"string","endColumn":"string","endLineNumber":"string","endTime":"string","integrationsFilter":"string","nanosecondPrecision":"string","openIntervals":"string","overlayCharts":"string","queryObject":"string","quickRange":"string","resolution":"string","resultsHistogram":"string","selection":"string","shownColumns":"string","startColumn":"string","startLineNumber":"string","startTime":"string","timeSeriesVariant":"string","timeSeriesView":"string"},"startTime":"string","variables":{}},"mplRequest":{"endTime":"string","mpl":"string","startTime":"string"},"queryId":"string"}]'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response

200SSE stream of query results. Each event carries a `kind` field ("apl" or "mpl") indicating how the `data` payload for that queryId should be interpreted.
defaultError
application/json
Was this page helpful?
Suggest edits on GitHub
PreviousRun APL query to edge deploymentNextRun MPL query to edge deployment
On this page
ParametersBodyRequestResponse